﻿using Microsoft.EntityFrameworkCore;

namespace SeedMySQL.Data
{
    public class SalesContext : DbContext
    {

        public SalesContext() : base()
        {
        }
        public SalesContext(DbContextOptions<SalesContext> options) : base(options)
        {
        }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {   
            optionsBuilder.UseMySQL("Server=localhost;Database=SalesDb;User=root;Password=my-secret-pw");
            
            base.OnConfiguring(optionsBuilder);
        }
        public DbSet<Product>? Products { get; set; }
        
    }
}